diff contrib/splicex/configure @ 682:a785c7cf4b6a draft

splicex stuff
author resdb <resdb@d3v11-VM.(none)>
date Sat, 22 Oct 2011 17:49:18 -0500
parents 14a390660911
children 39369594be19
line wrap: on
line diff
--- a/contrib/splicex/configure	Sat Oct 22 16:33:25 2011 -0500
+++ b/contrib/splicex/configure	Sat Oct 22 17:49:18 2011 -0500
@@ -1,6 +1,4 @@
 #!/bin/bash
-clear
-
 echo "
      __________        _ _         __  __    ______
     / / / / ___| _ __ | (_) ___ ___\\ \\/ /   / / / /
@@ -12,6 +10,11 @@
       .:Brute Force Utilities For GNU/Linux:.
 "
 
+if [[ $(id -u) != 0 ]]; then
+ echo 'root privileges required!..Quiting...'
+ exit 1
+fi
+
 sleep 1
 echo 'CONFIGURE: '
 sleep 1
@@ -24,12 +27,12 @@
 echo -ne '.'
 if which python >/dev/null; then
  sleep 1
- echo -ne 'python found :-)'
+ echo -ne ' python found :-)'
  echo
  sleep 1
 else
  sleep 1
- echo -ne 'python not found. Quiting... :-('
+ echo -ne ' python not found. Quiting... :-('
  echo
  exit 1
 fi
@@ -43,12 +46,12 @@
 echo -ne '.'
 if which man >/dev/null; then
  sleep 1
- echo -ne 'man found :-)'
+ echo -ne ' man found :-)'
  echo
  sleep 1
 else
  sleep 1
- echo -ne 'man not found. Quiting... :-('
+ echo -ne ' man not found. Quiting... :-('
  echo
  exit 1
 fi